Skip to main content
GET
/
api
/
v1
/
panels
/
{id}
GET panels
curl --request GET \
  --url https://app.onecodex.com/api/v1/panels/{id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.onecodex.com/api/v1/panels/{id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.onecodex.com/api/v1/panels/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "$uri": "/api/v1/panels/a1b2c3d4e5f67890",
  "complete": false,
  "created_at": "2023-11-07T05:31:56Z",
  "error_msg": "<string>",
  "job": {
    "type": "<unknown>",
    "pattern": "<unknown>",
    "example": "<unknown>"
  },
  "job_args": {},
  "sample": {
    "type": "<unknown>",
    "pattern": "<unknown>",
    "example": "<unknown>"
  },
  "success": false,
  "updated_at": "2023-11-07T05:31:56Z"
}
GET a single panel by its ID.

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Response

200 - application/json

Successful operation

$uri
string
Pattern: ^/api/v1/panels\/[^/]+$
Example:

"/api/v1/panels/a1b2c3d4e5f67890"

complete
boolean
default:false
created_at
string<date-time>

Timestamp for when the object was created on the One Codex platform, encoded as a RFC 3339 timestamp.

error_msg
string | null
Maximum string length: 255
job
object

A reference to the versioned job underlying the analysis, e.g., {"$ref": "/api/v1/jobs/d512cb556241440f"}.

job_args
object

The arguments passed into this analysis (can be null).

sample
object

A reference to the sample underlying the analysis, e.g., {"$ref": "/api/v1/sample/0ee172af60e84f61"}.

success
boolean
default:false
updated_at
string<date-time>

Timestamp for when the object was last updated, encoded as a RFC 3339 timestamp.